> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ウォレット - 送金一覧

> オプションのトークンフィルタ付きでウォレットの送金履歴を取得

<Note>
  ウォレットのトークン転送履歴（受信および送信の両方）を取得します。ページネーションとトークンによるフィルタリングに対応しています。
</Note>

**関連**: [GraphQL 転送](/jp/graphql/examples/transfers) | MCP: `wallet_get_balance_updates`


## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/wallet/{chain}/{walletAddress}/transfers
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/wallet/{chain}/{walletAddress}/transfers:
    get:
      tags:
        - Wallet
      summary: ウォレット - 送金リスト
      description: オプションのトークンフィルタ付きでウォレットの送金履歴を取得
      operationId: get.wallet.transfers
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddress
          in: path
          description: ウォレットのアドレス
          required: true
          schema:
            type: string
          example: AoM1wdFnhfVHA8KWPHiwLYeYdERoy4X6Nntu3XBvmbpa
        - name: cursor
          in: query
          description: ページネーションカーソル
          required: false
          schema:
            type: string
          example: eyJpZCI6IjEyMyJ9
        - name: limit
          in: query
          description: ページあたりの結果数
          required: false
          schema:
            type: integer
            format: int64
            default: 20
          example: 20
        - name: direction
          in: query
          description: ページネーション方向（next または prev）
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
        - name: tokenAddress
          in: query
          description: トークンのアドレス
          required: false
          schema:
            type: string
          example: So11111111111111111111111111111111111111112
        - name: fromTimestamp
          in: query
          description: このタイムスタンプ以降の送金をフィルタ（Unix エポック秒）
          required: false
          schema:
            type: integer
            format: int64
          example: 1770163200000
        - name: toTimestamp
          in: query
          description: このタイムスタンプ以前の送金をフィルタ（Unix エポック秒）
          required: false
          schema:
            type: integer
            format: int64
          example: 1770336000000
        - name: minTokenAmount
          in: query
          description: 最小トークン量フィルタ（以上）
          required: false
          schema:
            type: string
          example: '0.01'
        - name: maxTokenAmount
          in: query
          description: 最大トークン量フィルタ（以下）
          required: false
          schema:
            type: string
          example: '1000'
        - name: minTokenAmountInUsd
          in: query
          description: 最小トークン量の USD フィルタ（以上）
          required: false
          schema:
            type: string
          example: '1'
        - name: maxTokenAmountInUsd
          in: query
          description: 最大トークン量の USD フィルタ（以下）
          required: false
          schema:
            type: string
          example: '10000'
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResponse_WalletTransfer'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    PageResponse_WalletTransfer:
      type: object
      description: Generic pagination response
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            description: Wallet transfer
            required:
              - id
              - transactionSignature
              - blockTimestamp
              - tokenAddress
              - fromAddress
              - toAddress
              - amount
              - transferType
            properties:
              amount:
                type: string
                description: トークン単位での送金額
                example: '1.5'
              amountInUsd:
                type:
                  - string
                  - 'null'
                description: USD建ての送金額
                example: '225.00'
              blockTimestamp:
                type: integer
                format: int64
                description: ブロックタイムスタンプ（ミリ秒）
                example: 1717334400000
              fromAddress:
                type: string
                description: 送信者アドレス
                example: 54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy
              id:
                type: string
                description: 送金レコード識別子
                example: transfer-123
              toAddress:
                type: string
                description: 受信者アドレス
                example: 8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1
              tokenAddress:
                type: string
                description: トークンコントラクトアドレス
                example: So11111111111111111111111111111111111111112
              transactionSignature:
                type: string
                description: トランザクション署名
                example: 4tEHfECrLJm8N7dNCfQSjhLG7LqdMuZhzBhRy7VRhjCt
              transferType:
                type: string
                description: 送金タイプ（SEND または RECEIVE）
                example: SEND
          description: Page data
        endCursor:
          type:
            - string
            - 'null'
          description: Cursor for the end of current page
          example: eyJpZCI6ImVuZCJ9
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: false
        hasPrev:
          type: boolean
          description: Whether there is a previous page
          example: false
        startCursor:
          type:
            - string
            - 'null'
          description: Cursor for the start of current page
          example: eyJpZCI6InN0YXJ0In0=
        total:
          type:
            - integer
            - 'null'
          format: int64
          description: >-
            Total number of items matching the query (not just the current
            page).

            When `None`, the caller should treat it as unknown
            (backward-compatible).
          example: 564094
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````